Subject: Re: Problems with path resolution
From: Christopher Faylor <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Sat, 25 Aug 2001 14:14:20 -0400

On Fri, Aug 24, 2001 at 11:29:57PM -0700, nasser abbasi wrote:
>I am also seeing some strange path problems with 1.3.2
>
>I say 
>
>ls -l  /cygdrive/f/foo
>
>and it lists it.
>
>I say
>
>file /cygdrive/f/foo
>
>and I get an error 'No such file or directory'
>
>foo is some binary file.

I assume that foo has a .exe extension.  ls -l will tack on a .exe to a file name if
it can't find it without the extension.  ls is probably the only cygwin utility that
will do that, with the possible exception of 'cp' (depends on the version of cp and
there are bugs in all versions).

So, the short answer is 'always add the .exe extension'.

cgf

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/